Skip to main content
Nowledge MemNowledge Mem
API ReferenceMemoriesDistillBatch plan

Plan Thread Distillation Batch

POST
/memories/distill/batch-plan

Build a bounded, read-only plan for bulk thread distillation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Plan the next safe opt-in batch for thread distillation.

Response Body

application/json

application/json

curl -X POST "https://example.com/memories/distill/batch-plan" \  -H "Content-Type: application/json" \  -d '{    "selection": {}  }'
{  "message": "string",  "plan": {},  "scan_limited": true,  "scanned_threads": 0,  "selection_count": 0,  "selection_mode": "string",  "source": "api_thread_batch_plan",  "source_space_id": "string",  "version": 1}